Bug 613336 - libacl-devel: Remove nfs-utils-lib dependency
libacl-devel: Remove nfs-utils-lib dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: acl (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-10 17:09 EDT by Jordan Russell
Modified: 2010-08-07 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: acl-2.2.49-6.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-07 19:26:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordan Russell 2010-07-10 17:09:43 EDT
Description of problem:
The libacl-devel package currently depends on nfs-utils-lib.
As far as I can tell, this is unnecessary.

The dependency was first added here:
http://cvs.fedoraproject.org/viewvc/F-13/acl/acl.spec?r1=1.38&r2=1.39

However, a few revisions later, support for NFS was dropped:
http://cvs.fedoraproject.org/viewvc/F-13/acl/acl.spec?r1=1.42&r2=1.43

The nfs-utils-lib-devel and openldap-devel "BuildRequires" dependencies were removed, but the nfs-utils-lib and openldap "Requires" dependencies were not. This appears to be an oversight.

Version-Release number of selected component (if applicable):
2.2.49-5.fc13

Steps to Reproduce:
1. yum install libacl-devel
  
Actual results:
It pulls in nfs-utils, nfs-utils-lib, and rpcbind. I don't want any of those.

Expected results:
Only libacl-devel should be installed.
Comment 1 Kamil Dudka 2010-08-03 06:50:46 EDT
Thanks for filing the bug!  You're right, the dependencies are there by mistake and should go away.  I dropped them already in rawhide a month ago, no problem to do the same in F-13 branch.
Comment 2 Fedora Update System 2010-08-03 18:46:56 EDT
acl-2.2.49-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/acl-2.2.49-6.fc13
Comment 3 Fedora Update System 2010-08-05 19:42:00 EDT
acl-2.2.49-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update acl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/acl-2.2.49-6.fc13
Comment 4 Fedora Update System 2010-08-07 19:25:56 EDT
acl-2.2.49-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.